Skip to main content
GET
/
employees
/
{employeeId}
/
ni-categories
Get all NI categories for an employee
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/employees/{employeeId}/ni-categories \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "categoriesPerYear": {
        "2024": [
          {
            "category": "A",
            "effectiveDate": "2024-04-06",
            "reason": "Annual Review",
            "issuedBy": "HMRC"
          }
        ],
        "2025": [
          {
            "category": "A",
            "effectiveDate": "2025-04-06",
            "reason": "Annual Review",
            "issuedBy": "HMRC"
          }
        ]
      }
    },
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

employeeId
string
required

The ID of the employee

Response

NI categories retrieved successfully

message
object
content
object
validationIssues
object[]
messageToken
string